local api = vim.api
local optl = vim.opt_local

-- options
optl.tabstop = 2
optl.shiftwidth = 2
optl.expandtab = true

-- keymaps
local keymap_set = vim.keymap.set
keymap_set("n", "]h", "/\\_^#.*\\ze\\n\\{2}<esc>")
keymap_set("n", "[h", "?\\_^#.*\\ze\\n\\{2}<esc>")

-- buffer completion
optl.completeopt:append("noselect")
api.nvim_create_autocmd("TextChangedI", {
  group = api.nvim_create_augroup("Markdown buffer autocomplete", {}),
  buffer = 0,
  desc = "Buffer autocomplete on TextChangedI",
  callback = function ()
    local col = api.nvim_win_get_cursor(0)[2]
    local char = api.nvim_get_current_line():sub(col,col)
    if char:match("%w") then
      api.nvim_input("<c-x><c-n>")
    end
  end
})
